function SheetSwitched (ncount)
     StopSheet=true;
return;end;
function Timer(ncount, Param1)
     if not StopSheet then
          AlfingSheet();
          StopSheet=false;
     return;end;
return;end;
function gameinput (sender,obj_id,attachedID)

  if sender == 2 then
      RemoveFromMouse(object);
    MessageProc(sender,obj_id);
  return;end;
     if sender==36 then          
          if obj_id==9999 then
               if not StopSheet then
                    AlfingSheet();
                    StopSheet=false;
               return;end;
          return;end;                    
     return;end;
  if sender==26 then
    if obj_id==5 then
      flags.levelcomplete=true;
      DarkScreen(true);
      ShowMenu(false)
    return;end;
  return;end
  if sender==35 then
    if obj_id==111222 then
StartAnimation(1,0,5)  
    return;end;
  return;end;
  if sender==12 then
  if SLevel==1.0 then return;end;
  if obj_id==225 then
          AddElement("gr",225);
        MoveObjectToTree(225); 
        playeffect("20");
        StopEmiter("Svet1");
        setcolor(225,0,0,0,0.5,1);
        Set_Cursor(20,3);
        CreateWindow(150,250,"206",nil,nil,250,25);  
        --playeffect("01");
  end;
    if flags.loc2 then
      if flags.loc1 and flags.loc2 then
      flags.loc2= false;
        CreateWindow(150,250,"399",5,nil,250,30);  
          --playeffect("01");  
      return; end;
      CreateWindow(150,250,"199",nil,nil,250,30);    
  --playeffect("01");        
    return;end;
  return;end;
if sender==33 then
    BlockCursor(false);
    if obj_id==501 then -- тёмная плашка
      BlockCursor(false);
      if whole_darkness then
         if flags.levelcomplete then
          SetAlfa(500,0,1,1);
          speciale_action(4,500);
          BlockCursor(true);

        return;end;      
         --затемнилось
      return;end;
      whole_darkness=false;
         -- растемнилось
      AddParticleToObject(20,"Svet1",100,663);
      MoveEmiter("Svet1",100,663);
      if (not flags.minicomplete7)  then
        StartEmiter("Svet1");
      end;
    return;end;     
    if obj_id==503 then --название levовня
        BlockCursor(false);
      if whole_darkness then
         --затемнилось
      return;end;      
      -- проявление меню вывод собщений в начале levовня ----
      ShowMenu(true);
      savegame(SaveLevel());
      --CreateWindow(150,250,"224");             
      ------
    return;end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
      if attachedID==-1 then
      if obj_id==501 then
  --        if whole_darkness then
        if flags.levelcomplete then
          LoadNextLevel()
        return;end;        
            DarkScreen(false);
            whole_darkness=false;
          SetAlfa(503,1,0,1);

    --    return;end;
      return;end;        
        if obj_id==41 then
          setcurentleaf("hotel",13,0);
        SwitchToSheet("re");
        savegame(SaveLevel());
      return; end;

      if obj_id==20 then    
      if (not flags.minicomplete7)  then
        playeffect("29");
        --setcurentleaf("mini",0,1);
        add_free_leaf("Root","mini7",0,17);-- Добавляет чистый лист
        set_satelite_leaf("number9");
        DoFile(0,17)
        flags.nohints=true;
        if not flags.proideno then
          mini_create();
        return; end;
      return; end;  
      return; end;        
      
      if obj_id > 0 and obj_id < 200 then --кликаем на активный объект
        playeffect("20");
            collaps_obj(obj_id,0,0,10,1);
          return 0; end
      return;end;
  return; end;
  
  if sender==14 then
    if obj_id>0 then
    StopSheet=true;
    object=obj_id
      addObjectToMouse(obj_id);
    return; end;
  return; end;    
-----------------------------------------------На сцене отработали все объекты-------------------------
  if sender==4 then
  -- WriteToConsole("sender = 4, lev13.1".." "..sender.."\n")
  if SLevel==1.0 then return;end;
  flags.loc2 = true;

  return; end;  
------------------------------------------------------------------------------------------------------------------  
  
end
function SelectRandom()
  idObject=GetRandomObject();
    if not flags.minicomplete7 and idObject==225 then
    selectrandomobject(1.5,20);
  return; end;
  selectrandomobject(1.5,idObject);
end;
function SelectRandomRadar(idObject)
    if idObject==225 then
      selectrandomobject(1.5,20);
  return;end;
  selectrandomobject(1.5,idObject);
end;
